UUCPD(8)

NAME
uucpd, in.uucpd - run uucico from inetd

SYNOPSIS
/usr/sbin/in.uucpd

DESCRIPTION
Uucpd is a program run from inetd when inetd detects a connect on the uucp port (usually 540 ). It uses pam to authenticate users. If access by pam would be granted, and the first six letters of the basename of the shell match the word uucico then an utmp and wtmp entry are written and the users shell is invoked. The uucpd process stays around until uucico exits, then updates the utmp and wtmp files once more.

OPTIONS
None.

NOTES
Uucico also has the possibility to check for loginname/password itself directly, instead of needing a frontend uucpd. However that does not work if the system has shadow passwords, or any other way of authentication which requires root privileges. Also, no utmp/wtmp records are written.

If you want to define UUCP accounts outside the password file (eg through /etc/uucp/passwd ) you need to call uucico -l from /etc/inetd.conf instead of in.uucpd .

AUTHOR
Miquel van Smoorenburg (miquels@cistron.nl)

SEE ALSO
inetd(8), inetd.conf(5), uucico(8)